View Issue Details

IDProjectCategoryView StatusLast Update
0007442Talerwallet (WebExtensions)public2022-11-18 22:42
ReporterChristian Grothoff Assigned Tosebasjm  
PrioritynormalSeveritytrivialReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.9 
Target Version0.9.1Fixed in Version0.9.1 
Summary0007442: ugly dialog to add account for sending money back via IBAN
DescriptionThe dialog to add a bank account is quite ugly (see attached screenshot, if in doubt). I also believe it violates the accessibility rules: the fonts are just way too small, even at a huge zoom level. We should:

0) Make the labels before the three entry lines MUCH bigger.
1) Validate the IBAN (do we?). The checksuming algo can be found in libtalerutil IIRC.
2) I'd change "Account name" to "Receiver name", that's what we call it in RFC 8905 and might be clearer.
    We could even write "Receiver name (of the target bank account owner)".
3) Account alias is also not super clear. You have a "*" behind it, but that doesn't give me any more details either.
    Maybe write more explicitly: "Alias to remember this account by in the future (optional)", seems we have the space.

I'm not sure the "We can not validate the account" hint is useful, pretty obvious, for anyone who has ever done any banking, is it not?
TagsNo tags attached.

Activities

Christian Grothoff

2022-11-06 23:09

manager  

ugly-dialog.png (21,073 bytes)   
ugly-dialog.png (21,073 bytes)   

sebasjm

2022-11-07 23:31

developer   ~0019389

material design support was broken, fixed on.

label start inside the field area
on focus it moves outside and the placeholder is shown
placeholder is removed when the user starts typing
error message is better also

https://m2.material.io/go/design-text-fields/

sebasjm

2022-11-07 23:31

developer   ~0019390

fixed at 43c7cff75055f72c7d59a7180ae8da2554456d8d

Issue History

Date Modified Username Field Change
2022-11-06 23:09 Christian Grothoff New Issue
2022-11-06 23:09 Christian Grothoff Status new => assigned
2022-11-06 23:09 Christian Grothoff Assigned To => sebasjm
2022-11-06 23:09 Christian Grothoff File Added: ugly-dialog.png
2022-11-07 23:31 sebasjm Note Added: 0019389
2022-11-07 23:31 sebasjm Status assigned => resolved
2022-11-07 23:31 sebasjm Resolution open => fixed
2022-11-07 23:31 sebasjm Note Added: 0019390
2022-11-18 22:42 Christian Grothoff Fixed in Version => 0.9.1